Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse files

Upgraded to rails 3.0.4)

  • Loading branch information...
commit 03f6bb13790884d541d474edfa638edaef964ea9 1 parent 0ba4604
@adamcarlile authored
View
2  Gemfile
@@ -1,6 +1,6 @@
source 'http://rubygems.org'
-gem 'rails', '3.0.1'
+gem 'rails', '3.0.4'
gem 'mysql'
gem "devise"
gem "haml", ">= 3.0.0"
View
161 Gemfile.lock
@@ -10,38 +10,37 @@ GEM
remote: http://rubygems.org/
specs:
abstract (1.0.0)
- actionmailer (3.0.1)
- actionpack (= 3.0.1)
- mail (~> 2.2.5)
- actionpack (3.0.1)
- activemodel (= 3.0.1)
- activesupport (= 3.0.1)
+ actionmailer (3.0.4)
+ actionpack (= 3.0.4)
+ mail (~> 2.2.15)
+ actionpack (3.0.4)
+ activemodel (= 3.0.4)
+ activesupport (= 3.0.4)
builder (~> 2.1.2)
erubis (~> 2.6.6)
- i18n (~> 0.4.1)
+ i18n (~> 0.4)
rack (~> 1.2.1)
- rack-mount (~> 0.6.12)
- rack-test (~> 0.5.4)
+ rack-mount (~> 0.6.13)
+ rack-test (~> 0.5.7)
tzinfo (~> 0.3.23)
- activemodel (3.0.1)
- activesupport (= 3.0.1)
+ activemodel (3.0.4)
+ activesupport (= 3.0.4)
builder (~> 2.1.2)
- i18n (~> 0.4.1)
- activerecord (3.0.1)
- activemodel (= 3.0.1)
- activesupport (= 3.0.1)
- arel (~> 1.0.0)
+ i18n (~> 0.4)
+ activerecord (3.0.4)
+ activemodel (= 3.0.4)
+ activesupport (= 3.0.4)
+ arel (~> 2.0.2)
tzinfo (~> 0.3.23)
- activeresource (3.0.1)
- activemodel (= 3.0.1)
- activesupport (= 3.0.1)
- activesupport (3.0.1)
+ activeresource (3.0.4)
+ activemodel (= 3.0.4)
+ activesupport (= 3.0.4)
+ activesupport (3.0.4)
acts-as-taggable-on (2.0.6)
- arel (1.0.1)
- activesupport (~> 3.0.0)
- bcrypt-ruby (2.1.2)
+ arel (2.0.9)
+ bcrypt-ruby (2.1.4)
builder (2.1.2)
- capybara (0.4.0)
+ capybara (0.4.1.2)
celerity (>= 0.7.9)
culerity (>= 0.2.4)
mime-types (>= 1.16)
@@ -49,33 +48,33 @@ GEM
rack (>= 1.0.0)
rack-test (>= 0.5.4)
selenium-webdriver (>= 0.0.27)
- xpath (~> 0.1.2)
- celerity (0.8.2)
- childprocess (0.1.3)
+ xpath (~> 0.1.3)
+ celerity (0.8.8)
+ childprocess (0.1.7)
ffi (~> 0.6.3)
compass (0.10.6)
haml (>= 3.0.4)
- cucumber (0.9.3)
- builder (~> 2.1.2)
+ cucumber (0.10.0)
+ builder (>= 2.1.2)
diff-lcs (~> 1.1.2)
- gherkin (~> 2.2.9)
+ gherkin (~> 2.3.2)
json (~> 1.4.6)
term-ansicolor (~> 1.0.5)
cucumber-rails (0.3.2)
cucumber (>= 0.8.0)
- culerity (0.2.12)
+ culerity (0.2.15)
curb (0.7.12)
daemons (1.0.10)
- devise (1.1.3)
+ devise (1.1.7)
bcrypt-ruby (~> 2.1.2)
- warden (~> 0.10.7)
+ warden (~> 1.0.2)
diff-lcs (1.1.2)
erubis (2.6.6)
abstract (>= 1.0.0)
- factory_girl (1.3.2)
- factory_girl_rails (1.0)
+ factory_girl (1.3.3)
+ factory_girl_rails (1.0.1)
factory_girl (~> 1.3)
- rails (>= 3.0.0.beta4)
+ railties (>= 3.0.0)
feedzirra (0.0.24)
activesupport (>= 2.3.8)
builder (>= 2.1.2)
@@ -86,22 +85,21 @@ GEM
ffi (0.6.3)
rake (>= 0.8.7)
gem_plugin (0.2.3)
- gherkin (2.2.9)
+ gherkin (2.3.3)
json (~> 1.4.6)
- term-ansicolor (~> 1.0.5)
- haml (3.0.22)
+ haml (3.0.25)
has_scope (0.5.0)
- i18n (0.4.2)
- inherited_resources (1.1.2)
+ i18n (0.5.0)
+ inherited_resources (1.2.1)
has_scope (~> 0.5.0)
responders (~> 0.6.0)
json (1.4.6)
- json_pure (1.4.6)
+ json_pure (1.5.1)
loofah (1.0.0)
nokogiri (>= 1.3.3)
- mail (2.2.9)
+ mail (2.2.15)
activesupport (>= 2.3.6)
- i18n (~> 0.4.1)
+ i18n (>= 0.4.0)
mime-types (~> 1.16)
treetop (~> 1.4.8)
mime-types (1.16)
@@ -109,61 +107,62 @@ GEM
daemons (~> 1.0.10)
gem_plugin (~> 0.2.3)
mysql (2.8.1)
- nokogiri (1.4.3.1)
- paperclip (2.3.4)
+ nokogiri (1.4.4)
+ paperclip (2.3.8)
activerecord
activesupport
polyglot (0.3.1)
rack (1.2.1)
rack-mount (0.6.13)
rack (>= 1.0.0)
- rack-test (0.5.6)
+ rack-test (0.5.7)
rack (>= 1.0)
- rails (3.0.1)
- actionmailer (= 3.0.1)
- actionpack (= 3.0.1)
- activerecord (= 3.0.1)
- activeresource (= 3.0.1)
- activesupport (= 3.0.1)
- bundler (~> 1.0.0)
- railties (= 3.0.1)
- railties (3.0.1)
- actionpack (= 3.0.1)
- activesupport (= 3.0.1)
- rake (>= 0.8.4)
- thor (~> 0.14.0)
+ rails (3.0.4)
+ actionmailer (= 3.0.4)
+ actionpack (= 3.0.4)
+ activerecord (= 3.0.4)
+ activeresource (= 3.0.4)
+ activesupport (= 3.0.4)
+ bundler (~> 1.0)
+ railties (= 3.0.4)
+ railties (3.0.4)
+ actionpack (= 3.0.4)
+ activesupport (= 3.0.4)
+ rake (>= 0.8.7)
+ thor (~> 0.14.4)
rake (0.8.7)
responders (0.6.2)
- rspec (2.0.1)
- rspec-core (~> 2.0.1)
- rspec-expectations (~> 2.0.1)
- rspec-mocks (~> 2.0.1)
- rspec-core (2.0.1)
- rspec-expectations (2.0.1)
- diff-lcs (>= 1.1.2)
- rspec-mocks (2.0.1)
- rspec-core (~> 2.0.1)
- rspec-expectations (~> 2.0.1)
- rspec-rails (2.0.1)
- rspec (~> 2.0.0)
+ rspec (2.5.0)
+ rspec-core (~> 2.5.0)
+ rspec-expectations (~> 2.5.0)
+ rspec-mocks (~> 2.5.0)
+ rspec-core (2.5.1)
+ rspec-expectations (2.5.0)
+ diff-lcs (~> 1.1.2)
+ rspec-mocks (2.5.0)
+ rspec-rails (2.5.0)
+ actionpack (~> 3.0)
+ activesupport (~> 3.0)
+ railties (~> 3.0)
+ rspec (~> 2.5.0)
rubyzip (0.9.4)
sax-machine (0.0.16)
nokogiri (> 0.0.0)
- selenium-webdriver (0.0.29)
- childprocess (>= 0.0.7)
+ selenium-webdriver (0.1.3)
+ childprocess (~> 0.1.5)
ffi (~> 0.6.3)
json_pure
rubyzip
- simple_form (1.2.2)
+ simple_form (1.3.1)
stringex (1.2.0)
term-ansicolor (1.0.5)
- thor (0.14.3)
- treetop (1.4.8)
+ thor (0.14.6)
+ treetop (1.4.9)
polyglot (>= 0.3.1)
- tzinfo (0.3.23)
- warden (0.10.7)
+ tzinfo (0.3.24)
+ warden (1.0.3)
rack (>= 1.0.0)
- xpath (0.1.2)
+ xpath (0.1.3)
nokogiri (~> 1.3)
PLATFORMS
@@ -184,7 +183,7 @@ DEPENDENCIES
mongrel (= 1.2.0.pre2)
mysql
paperclip
- rails (= 3.0.1)
+ rails (= 3.0.4)
rspec-rails (>= 2.0.1)
simple_form
stringex
View
8 config/application.rb
@@ -8,15 +8,12 @@
module Portfolio
class Application < Rails::Application
-
- config.action_view.javascript_expansions[:defaults] = %w(jquery.min rails)
-
# Settings in config/environments/* take precedence over those specified here.
# Application configuration should go into files in config/initializers
# -- all .rb files in that directory are automatically loaded.
# Custom directories with classes and modules you want to be autoloadable.
- config.autoload_paths += %W( #{config.root}/lib )
+ config.autoload_paths += %W(#{config.root}/lib)
# Only load the plugins named here, in the order given (default is alphabetical).
# :all can be used as a placeholder for all plugins not explicitly named.
@@ -33,7 +30,8 @@ class Application < Rails::Application
# config.i18n.load_path += Dir[Rails.root.join('my', 'locales', '*.{rb,yml}').to_s]
# config.i18n.default_locale = :de
- config.action_view.javascript_expansions[:defaults] = %w()
+ # JavaScript files you want as :defaults (application.js is always included).
+ # config.action_view.javascript_expansions[:defaults] = %w(jquery rails)
# Configure the default encoding used in templates for Ruby 1.9.
config.encoding = "utf-8"
View
13 config/boot.rb
@@ -1,13 +1,6 @@
require 'rubygems'
# Set up gems listed in the Gemfile.
-gemfile = File.expand_path('../../Gemfile', __FILE__)
-begin
- ENV['BUNDLE_GEMFILE'] = gemfile
- require 'bundler'
- Bundler.setup
-rescue Bundler::GemNotFound => e
- STDERR.puts e.message
- STDERR.puts "Try running `bundle install`."
- exit!
-end if File.exist?(gemfile)
+ENV['BUNDLE_GEMFILE'] ||= File.expand_path('../../Gemfile', __FILE__)
+
+require 'bundler/setup' if File.exists?(ENV['BUNDLE_GEMFILE'])
View
2  config/environments/development.rb
@@ -1,5 +1,5 @@
Portfolio::Application.configure do
- # Settings specified here will take precedence over those in config/environment.rb
+ # Settings specified here will take precedence over those in config/application.rb
# In the development environment your application's code is reloaded on
# every request. This slows down response time but is perfect for development
View
2  config/environments/production.rb
@@ -1,5 +1,5 @@
Portfolio::Application.configure do
- # Settings specified here will take precedence over those in config/environment.rb
+ # Settings specified here will take precedence over those in config/application.rb
# The production environment is meant for finished, "live" apps.
# Code is not reloaded between requests
View
2  config/environments/test.rb
@@ -1,5 +1,5 @@
Portfolio::Application.configure do
- # Settings specified here will take precedence over those in config/environment.rb
+ # Settings specified here will take precedence over those in config/application.rb
# The test environment is used exclusively to run your application's
# test suite. You never need to work with it otherwise. Remember that
View
2  config/initializers/session_store.rb
@@ -4,5 +4,5 @@
# Use the database for sessions instead of the cookie-based default,
# which shouldn't be used to store highly confidential information
-# (create the session table with "rake db:sessions:create")
+# (create the session table with "rails generate session_migration")
# Portfolio::Application.config.session_store :active_record_store
Please sign in to comment.
Something went wrong with that request. Please try again.